Bug 2261192 - golang-github-prometheus-alertmanager: FTBFS in Fedora rawhide/f40
Summary: golang-github-prometheus-alertmanager: FTBFS in Fedora rawhide/f40
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: golang-github-prometheus-alertmanager
Version: 40
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alejandro Sáez Morollón
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F40FTBFS
TreeView+ depends on / blocked
 
Reported: 2024-01-29 19:56 UTC by Fedora Release Engineering
Modified: 2024-04-18 09:00 UTC (History)
2 users (show)

Fixed In Version: golang-github-prometheus-alertmanager-0.27.0-1.fc41
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-04-18 09:00:37 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (32.00 KB, text/plain)
2024-01-29 19:56 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2024-01-29 19:56 UTC, Fedora Release Engineering
no flags Details
state.log (1.81 KB, text/plain)
2024-01-29 19:56 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2024-01-29 19:56:40 UTC
golang-github-prometheus-alertmanager failed to build from source in Fedora rawhide/f40

https://koji.fedoraproject.org/koji/taskinfo?taskID=112288837


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild
Please fix golang-github-prometheus-alertmanager at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
golang-github-prometheus-alertmanager will be orphaned. Before branching of Fedora 41,
golang-github-prometheus-alertmanager will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2024-01-29 19:56:48 UTC
Created attachment 2012095 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2024-01-29 19:56:53 UTC
Created attachment 2012096 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2024-01-29 19:56:56 UTC
Created attachment 2012097 [details]
state.log

Comment 4 Aoife Moloney 2024-02-15 23:16:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 40 development cycle.
Changing version to 40.

Comment 5 Fedora Update System 2024-04-18 08:55:55 UTC
FEDORA-2024-8580c06716 (golang-github-prometheus-alertmanager-0.27.0-1.fc41) has been submitted as an update to Fedora 41.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-8580c06716

Comment 6 Fedora Update System 2024-04-18 09:00:37 UTC
FEDORA-2024-8580c06716 (golang-github-prometheus-alertmanager-0.27.0-1.fc41) has been pushed to the Fedora 41 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.